com.sun.java.xml.ns.javaee

## Class InjectionTargetType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.InjectionTargetType

-     public class InjectionTargetType
      extends Object

  An injection target specifies a class and a name within that class into which a resource should be injected. The injection target class specifies the fully qualified class name that is the target of the injection. The Java EE specifications describe which classes can be an injection target. The injection target name specifies the target within the specified class. The target is first looked for as a JavaBeans property name. If not found, the target is looked for as a field name. The specified resource will be injected into the target during initialization of the class by either calling the set method for the target property or by setting a value into the named field.

  Java-Klasse für injection-targetType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="injection-targetType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="injection-target-class" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType"/>
               <element name="injection-target-name" type="{http://java.sun.com/xml/ns/javaee}java-identifierType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FullyQualifiedClassType` | `injectionTargetClass`
    `protected JavaIdentifierType` | `injectionTargetName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InjectionTargetType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullyQualifiedClassType` | `getInjectionTargetClass()` Ruft den Wert der injectionTargetClass-Eigenschaft ab.
    `JavaIdentifierType` | `getInjectionTargetName()` Ruft den Wert der injectionTargetName-Eigenschaft ab.
    `void` | `setInjectionTargetClass(FullyQualifiedClassType value)` Legt den Wert der injectionTargetClass-Eigenschaft fest.
    `void` | `setInjectionTargetName(JavaIdentifierType value)` Legt den Wert der injectionTargetName-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### injectionTargetClass

          protected FullyQualifiedClassType injectionTargetClass

    - #### injectionTargetName

          protected JavaIdentifierType injectionTargetName

  - ### Constructor Detail

    - #### InjectionTargetType

          public InjectionTargetType()

  - ### Method Detail

    - #### getInjectionTargetClass

          public FullyQualifiedClassType getInjectionTargetClass()

      Ruft den Wert der injectionTargetClass-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setInjectionTargetClass

          public void setInjectionTargetClass(FullyQualifiedClassType value)

      Legt den Wert der injectionTargetClass-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getInjectionTargetName

          public JavaIdentifierType getInjectionTargetName()

      Ruft den Wert der injectionTargetName-Eigenschaft ab.
      Returns:
        possible object is `JavaIdentifierType`

    - #### setInjectionTargetName

          public void setInjectionTargetName(JavaIdentifierType value)

      Legt den Wert der injectionTargetName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `JavaIdentifierType`

Copyright © 2015 buschmais GbR. All rights reserved.